# Uses of Class
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler

Packages that use CDORevisionCrawler
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.

## Uses of CDORevisionCrawler in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCrawler
Modifier and Type
Method
Description
`CDORevisionCrawler`
CDORevisionCrawler.`addRevision(CDORevision revision)`
Adds a revision to the crawl queue and processes reachable revisions.
`CDORevisionCrawler`
CDORevisionCrawler.`begin()`
Activates the crawler and prepares it for crawling.
`CDORevisionCrawler`
CDORevisionCrawler.`containmentProxyStrategy(CDORevisionCrawler.ContainmentProxyStrategy containmentProxyStrategy)`
Sets the containment proxy strategy.
`CDORevisionCrawler`
CDORevisionCrawler.`featureStrategy(CDORevisionCrawler.FeatureStrategy featureStrategy)`
Sets the feature strategy.
`CDORevisionCrawler`
CDORevisionCrawler.`finish()`
Deactivates the crawler and finalizes crawling.
`CDORevisionCrawler`
CDORevisionCrawler.`handler(CDORevisionCrawler.Handler handler)`
Sets the handler to be used by this crawler.
`CDORevisionCrawler`
CDORevisionCrawler.`revisionProvider(CDORevisionProvider revisionProvider)`
Sets the revision provider.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCrawler
Modifier and Type
Method
Description
`default boolean`
CDORevisionCrawler.Handler.`begin(CDORevisionCrawler crawler)`
Called when crawling begins.
`boolean`
CDORevisionCrawler.OutputStreamHandler.`begin(CDORevisionCrawler crawler)`